Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.security.management.rolemapper
Class RoleProviderDescription

    java.lang.Object
      com.bea.p13n.security.management.ProviderDescription
          com.bea.p13n.security.management.rolemapper.RoleProviderDescription

All Implemented Interfaces:
  Serializable

public class RoleProviderDescription
extends ProviderDescription
implements Serializable

This class holds information describing a single SSPI Authentication provider. It is a convenience class, an immutable value object used by ATN management functions.

This class is normally not directly instantiated, but is accessed through the use of the `SecurityMgmtHelper`.

See Also:
  `AtnSecurityMgmtHelper`, Serialized Form

Field Summary
`static int` | `DUMB_PROVIDER` The AuthenticatorMBean represented by this object, in total, implements no MBean interfaces.
`static int` | `READ_ONLY_PROVIDER` The AuthenticatorMBean represented by this object, in total, implements enough optional MBean interfaces to allow read operations.
`static int` | `READ_WRITE_PROVIDER` The AuthenticatorMBean represented by this object, in total, implements enough optional MBean interfaces to allow full CRUD operations.

Constructor Summary
`RoleProviderDescription(RoleMapperMBean aRoleMapperMBean)`

Method Summary
`RoleMapperMBean` | `getProviderMBean()` Get the MBean used to initialize this instance.
`int` | `getProviderMgmtCapability()` Get provider capability - a roll up of what optional MBeans are implemented.
`boolean` | `isDefaultRoleProvider()` The scheme for who the default role provider is simple:
`boolean` | `isRoleEditorImplemented()` Get provider configuration information for optional MBean implementation.
`boolean` | `isRoleReaderImplemented()` Get provider configuration information for optional MBean implementation.
`String` | `toString()`

Methods inherited from class com.bea.p13n.security.management.ProviderDescription
`getDescription, getDisplayName, getVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DUMB_PROVIDER

    public static final int DUMB_PROVIDER

  The AuthenticatorMBean represented by this object, in total, implements no MBean interfaces.

  See Also:
    Constant Field Values

### READ_ONLY_PROVIDER

    public static final int READ_ONLY_PROVIDER

  The AuthenticatorMBean represented by this object, in total, implements enough optional MBean interfaces to allow read operations.

  See Also:
    Constant Field Values

### READ_WRITE_PROVIDER

    public static final int READ_WRITE_PROVIDER

  The AuthenticatorMBean represented by this object, in total, implements enough optional MBean interfaces to allow full CRUD operations.

  See Also:
    Constant Field Values

Constructor Detail

### RoleProviderDescription

    public RoleProviderDescription(RoleMapperMBean aRoleMapperMBean)

Method Detail

### getProviderMBean

    public RoleMapperMBean getProviderMBean()

  Get the MBean used to initialize this instance.

  Returns:
    the MBean representing this authentication provider

### getProviderMgmtCapability

    public int getProviderMgmtCapability()

  Get provider capability - a roll up of what optional MBeans are implemented. Possible values;
  1. `DUMB_PROVIDER`
  2. `READ_ONLY_PROVIDER`
  3. `READ_WRITE_PROVIDER`

  Returns:
    int capability defined within this class

### isDefaultRoleProvider

    public boolean isDefaultRoleProvider()

  The scheme for who the default role provider is simple:

  Returns:
    true if this provider is the default authentication provider. If the provider is an instance of weblogic.security.providers.authorization.DefaultRoleMapperMBean, it is the default.

### isRoleEditorImplemented

    public boolean isRoleEditorImplemented()

  Get provider configuration information for optional MBean implementation.

  Returns:
    true if provider implements this interface, otherwise false

### isRoleReaderImplemented

    public boolean isRoleReaderImplemented()

  Get provider configuration information for optional MBean implementation.

  Returns:
    true if provider implements this interface, otherwise false

### toString

    public String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved